- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Namespace List
- Namespace Members

# fastformat::filters Namespace Reference

## Detailed Description

Namespace within which FastFormat filtering conversion shim functions are defined.

Remarks:
  This namespace is designed to contain the filter_type() conversion shim, and is open for extension by users who may define their own overloads of the shim

## Functions
template<typename T, typename C>
T const & | filter_type (T const &t, T const *, C const volatile *)
| Degenerate case, which does no conversion.
ff_string_slice_t | filter_type (bool value, bool const *, ff_char_t const volatile *)
| Filtering conversion shim function for implicitly adapting `bool` format arguments.
ximpl_fastformat_filters_fast_integers::integer_shim< 12 > | filter_type (signed long value, signed long const *, ff_char_t const volatile *)
| Filtering conversion shim function for implicitly adapting signed `long` integers as format arguments.
ximpl_fastformat_filters_fast_integers::integer_shim< 12 > | filter_type (unsigned long value, unsigned long const *, ff_char_t const volatile *)
| Filtering conversion shim function for implicitly adapting unsigned `long` integers as format arguments.
ximpl_fastformat_filters_fast_integers::integer_shim< 12 > | filter_type (signed int value, signed int const *, ff_char_t const volatile *)
| Filtering conversion shim function for implicitly adapting signed `int` integers as format arguments.
ximpl_fastformat_filters_fast_integers::integer_shim< 12 > | filter_type (unsigned int value, unsigned int const *, ff_char_t const volatile *)
| Filtering conversion shim function for implicitly adapting unsigned `int` integers as format arguments.
ximpl_fastformat_filters_fast_integers::integer_shim< 12 > | filter_type (signed short value, signed short const *, ff_char_t const volatile *)
| Filtering conversion shim function for implicitly adapting signed `short` integers as format arguments.
ximpl_fastformat_filters_fast_integers::integer_shim< 12 > | filter_type (unsigned short value, unsigned short const *, ff_char_t const volatile *)
| Filtering conversion shim function for implicitly adapting unsigned `short` integers as format arguments.
template<size_t N>
char const * | c_str_data_a (::fastformat::filters::ximpl_fastformat_filters_fast_integers::integer_shim< N > const &s)
| Returns a possibly non-nul-terminated non-NULL C-style string representing the structure.
template<size_t N>
ff_char_t const * | c_str_data (::fastformat::filters::ximpl_fastformat_filters_fast_integers::integer_shim< N > const &s)
| Returns a possibly non-nul-terminated non-NULL C-style string representing the structure.
template<size_t N>
size_t | c_str_len_a (::fastformat::filters::ximpl_fastformat_filters_fast_integers::integer_shim< N > const &s)
| Returns the number of characters in the length of the C-style string representing the structure.
template<size_t N>
size_t | c_str_len (::fastformat::filters::ximpl_fastformat_filters_fast_integers::integer_shim< N > const &s)
| Returns the number of characters in the length of the C-style string representing the structure.
stlsoft::basic_shim_string < ff_char_t, 32 > | filter_type (double value, double const *, ff_char_t const volatile *)
| Filtering conversion shim function for implicitly adapting `double` floating points as format arguments.
stlsoft::basic_shim_string < ff_char_t, 32 > | filter_type (float value, float const *, ff_char_t const volatile *)
| Filtering conversion shim function for implicitly adapting `float` floating points as format arguments.
stlsoft::basic_shim_string < ff_char_t, 32 > | filter_type (void const volatile *value, void const volatile *const *, ff_char_t const volatile *)
| Filtering conversion shim function for implicitly adapting `void const volatile*` pointers as format arguments.
stlsoft::basic_shim_string < ff_char_t, 32 > | filter_type (void const *value, void const *const *, ff_char_t const volatile *)
| Filtering conversion shim function for implicitly adapting `void const*` pointers as format arguments.
stlsoft::basic_shim_string < ff_char_t, 32 > | filter_type (void volatile *value, void volatile *const *, ff_char_t const volatile *)
| Filtering conversion shim function for implicitly adapting `void volatile*` pointers as format arguments.
stlsoft::basic_shim_string < ff_char_t, 32 > | filter_type (void *value, void *const *, ff_char_t const volatile *)
| Filtering conversion shim function for implicitly adapting `void*` pointers as format arguments.

## Function Documentation

ff_char_t const* fastformat::filters::c_str_data | ( | ::fastformat::filters::ximpl_fastformat_filters_fast_integers::integer_shim< N > const & | s | ) | `[inline]`

Returns a possibly non-nul-terminated non-NULL C-style string representing the structure.

char const* fastformat::filters::c_str_data_a | ( | ::fastformat::filters::ximpl_fastformat_filters_fast_integers::integer_shim< N > const & | s | ) | `[inline]`

Returns a possibly non-nul-terminated non-NULL C-style string representing the structure.

size_t fastformat::filters::c_str_len | ( | ::fastformat::filters::ximpl_fastformat_filters_fast_integers::integer_shim< N > const & | s | ) | `[inline]`

Returns the number of characters in the length of the C-style string representing the structure.

size_t fastformat::filters::c_str_len_a | ( | ::fastformat::filters::ximpl_fastformat_filters_fast_integers::integer_shim< N > const & | s | ) | `[inline]`

Returns the number of characters in the length of the C-style string representing the structure.

stlsoft::basic_shim_string<ff_char_t, 32> fastformat::filters::filter_type | ( | void * | value,
|  | void *const * | ,
|  | ff_char_t const volatile * |  |
| ) |  |  | `[inline]`

Filtering conversion shim function for implicitly adapting `void*` pointers as format arguments.

stlsoft::basic_shim_string<ff_char_t, 32> fastformat::filters::filter_type | ( | void volatile * | value,
|  | void volatile *const * | ,
|  | ff_char_t const volatile * |  |
| ) |  |  | `[inline]`

Filtering conversion shim function for implicitly adapting `void volatile*` pointers as format arguments.

stlsoft::basic_shim_string<ff_char_t, 32> fastformat::filters::filter_type | ( | void const * | value,
|  | void const *const * | ,
|  | ff_char_t const volatile * |  |
| ) |  |  | `[inline]`

Filtering conversion shim function for implicitly adapting `void const*` pointers as format arguments.

stlsoft::basic_shim_string<ff_char_t, 32> fastformat::filters::filter_type | ( | void const volatile * | value,
|  | void const volatile *const * | ,
|  | ff_char_t const volatile * |  |
| ) |  |  | `[inline]`

Filtering conversion shim function for implicitly adapting `void const volatile*` pointers as format arguments.

stlsoft::basic_shim_string<ff_char_t, 32> fastformat::filters::filter_type | ( | float | value,
|  | float const * | ,
|  | ff_char_t const volatile * |  |
| ) |  |  | `[inline]`

Filtering conversion shim function for implicitly adapting `float` floating points as format arguments.

stlsoft::basic_shim_string<ff_char_t, 32> fastformat::filters::filter_type | ( | double | value,
|  | double const * | ,
|  | ff_char_t const volatile * |  |
| ) |  |  | `[inline]`

Filtering conversion shim function for implicitly adapting `double` floating points as format arguments.

ximpl_fastformat_filters_fast_integers::integer_shim<12> fastformat::filters::filter_type | ( | unsigned short | value,
|  | unsigned short const * | ,
|  | ff_char_t const volatile * |  |
| ) |  |  | `[inline]`

Filtering conversion shim function for implicitly adapting unsigned `short` integers as format arguments.

ximpl_fastformat_filters_fast_integers::integer_shim<12> fastformat::filters::filter_type | ( | signed short | value,
|  | signed short const * | ,
|  | ff_char_t const volatile * |  |
| ) |  |  | `[inline]`

Filtering conversion shim function for implicitly adapting signed `short` integers as format arguments.

ximpl_fastformat_filters_fast_integers::integer_shim<12> fastformat::filters::filter_type | ( | unsigned int | value,
|  | unsigned int const * | ,
|  | ff_char_t const volatile * |  |
| ) |  |  | `[inline]`

Filtering conversion shim function for implicitly adapting unsigned `int` integers as format arguments.

ximpl_fastformat_filters_fast_integers::integer_shim<12> fastformat::filters::filter_type | ( | signed int | value,
|  | signed int const * | ,
|  | ff_char_t const volatile * |  |
| ) |  |  | `[inline]`

Filtering conversion shim function for implicitly adapting signed `int` integers as format arguments.

ximpl_fastformat_filters_fast_integers::integer_shim<12> fastformat::filters::filter_type | ( | unsigned long | value,
|  | unsigned long const * | ,
|  | ff_char_t const volatile * |  |
| ) |  |  | `[inline]`

Filtering conversion shim function for implicitly adapting unsigned `long` integers as format arguments.

ximpl_fastformat_filters_fast_integers::integer_shim<12> fastformat::filters::filter_type | ( | signed long | value,
|  | signed long const * | ,
|  | ff_char_t const volatile * |  |
| ) |  |  | `[inline]`

Filtering conversion shim function for implicitly adapting signed `long` integers as format arguments.

ff_string_slice_t fastformat::filters::filter_type | ( | bool | value,
|  | bool const * | ,
|  | ff_char_t const volatile * |  |
| ) |  |  | `[inline]`

Filtering conversion shim function for implicitly adapting `bool` format arguments.

T const& fastformat::filters::filter_type | ( | T const & | t,
|  | T const * | ,
|  | C const volatile * |  |
| ) |  |  | `[inline]`

Degenerate case, which does no conversion.

Examples:
  examples/example.arguments.character/example.arguments.character.cpp, examples/example.overload.2.custom_type.filter_type/example.overload.2.custom_type.filter_type.cpp, and examples/example.overload.3.record_insert/example.overload.3.record_insert.cpp.

FastFormat Library documentation © Matthew Wilson, 2006-2009 |